Bug 1444666

Summary: Review Request: python-XStatic-Patternfly - Patternfly CSS/JS framework (XStatic packaging standard)
Product: [Fedora] Fedora Reporter: David Moreau Simard <dms>
Component: Package ReviewAssignee: Haïkel Guémar <karlthered>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: rawhideCC: dms, karlthered, package-review
Target Milestone: ---Flags: karlthered: fedora-review+
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2017-05-01 18:16:50 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 1426193    

Comment 2 Haïkel Guémar 2017-04-27 14:27:56 UTC
I hereby approve this package. Please proceed with pkgdb request.
It does bundle Google OpenSans (ASL 2.0) fonts but webfonts are not packaged in open-sans-fonts package.
I suggest to see if it's fixable.


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[-]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Apache (v2.0)", "Unknown or generated". 285 files have unknown
     license. Detailed output of licensecheck in /home/haikel/1444666
     -python-XStatic-Patternfly/licensecheck.txt
[-]: License file installed when any subpackage combination is installed.
[x]: Package requires other packages for directories it uses.
     Note: No known owner of /usr/lib/python3.6/site-packages/xstatic/pkg,
     /usr/lib/python3.6/site-packages/xstatic
[x]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/lib/python3.6/site-
     packages, /usr/lib/python3.6/site-packages/xstatic,
     /usr/lib/python3.6, /usr/lib/python3.6/site-packages/xstatic/pkg
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 30720 bytes in 3 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[-]: Avoid bundling fonts in non-fonts packages.
     Note: Package contains font files
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[-]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in python2
     -XStatic-Patternfly , python3-XStatic-Patternfly , xstatic-patternfly-
     common
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python2-XStatic-Patternfly-3.21.0.1-1.fc27.noarch.rpm
          python3-XStatic-Patternfly-3.21.0.1-1.fc27.noarch.rpm
          xstatic-patternfly-common-3.21.0.1-1.fc27.noarch.rpm
          python-XStatic-Patternfly-3.21.0.1-1.fc27.src.rpm
python2-XStatic-Patternfly.noarch: W: spelling-error %description -l en_US setuptools -> setup tools, setup-tools, toadstools
python2-XStatic-Patternfly.noarch: W: spelling-error %description -l en_US metadata -> meta data, meta-data, metatarsal
python3-XStatic-Patternfly.noarch: W: spelling-error %description -l en_US setuptools -> setup tools, setup-tools, toadstools
python3-XStatic-Patternfly.noarch: W: spelling-error %description -l en_US metadata -> meta data, meta-data, metatarsal
xstatic-patternfly-common.noarch: W: spelling-error %description -l en_US setuptools -> setup tools, setup-tools, toadstools
xstatic-patternfly-common.noarch: W: spelling-error %description -l en_US metadata -> meta data, meta-data, metatarsal
python-XStatic-Patternfly.src: W: spelling-error %description -l en_US setuptools -> setup tools, setup-tools, toadstools
python-XStatic-Patternfly.src: W: spelling-error %description -l en_US metadata -> meta data, meta-data, metatarsal
4 packages and 0 specfiles checked; 0 errors, 8 warnings.




Rpmlint (installed packages)
----------------------------
sh: /usr/bin/python: No such file or directory
python2-XStatic-Patternfly.noarch: W: spelling-error %description -l en_US setuptools -> setup tools, setup-tools, toadstools
python2-XStatic-Patternfly.noarch: W: spelling-error %description -l en_US metadata -> meta data, meta-data, metatarsal
python3-XStatic-Patternfly.noarch: W: spelling-error %description -l en_US setuptools -> setup tools, setup-tools, toadstools
python3-XStatic-Patternfly.noarch: W: spelling-error %description -l en_US metadata -> meta data, meta-data, metatarsal
xstatic-patternfly-common.noarch: W: spelling-error %description -l en_US setuptools -> setup tools, setup-tools, toadstools
xstatic-patternfly-common.noarch: W: spelling-error %description -l en_US metadata -> meta data, meta-data, metatarsal
3 packages and 0 specfiles checked; 0 errors, 6 warnings.



Requires
--------
python2-XStatic-Patternfly (rpmlib, GLIBC filtered):
    python(abi)
    python-XStatic
    xstatic-patternfly-common

python3-XStatic-Patternfly (rpmlib, GLIBC filtered):
    python(abi)
    python3-XStatic
    xstatic-patternfly-common

xstatic-patternfly-common (rpmlib, GLIBC filtered):
    web-assets-filesystem



Provides
--------
python2-XStatic-Patternfly:
    python-XStatic-Patternfly
    python2-XStatic-Patternfly
    python2.7dist(xstatic-patternfly)
    python2dist(xstatic-patternfly)

python3-XStatic-Patternfly:
    python3-XStatic-Patternfly
    python3.6dist(xstatic-patternfly)
    python3dist(xstatic-patternfly)

xstatic-patternfly-common:
    xstatic-patternfly-common



Source checksums
----------------
https://pypi.io/packages/source/X/XStatic-Patternfly/XStatic-Patternfly-3.21.0.1.tar.gz :
  CHECKSUM(SHA256) this package     : dc4a019d9746b4df8f8d7cf1b041840fb92f84b710dd02a4d64172c0a207ac08
  CHECKSUM(SHA256) upstream package : dc4a019d9746b4df8f8d7cf1b041840fb92f84b710dd02a4d64172c0a207ac08


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -b 1444666 -m fedora-rawhide-x86_64
Buildroot used: fedora-rawhide-x86_64
Active plugins: Python, Generic, Shell-api
Disabled plugins: Java, C/C++, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 3 Gwyn Ciesla 2017-04-27 14:51:26 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/python-XStatic-Patternfly

Comment 4 Fedora Update System 2017-04-27 17:52:01 UTC
python-XStatic-Patternfly-3.21.0.1-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-ad1f7077ac

Comment 5 Fedora Update System 2017-04-27 17:52:53 UTC
python-XStatic-Patternfly-3.21.0.1-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-58f639c765

Comment 6 Fedora Update System 2017-04-27 17:54:06 UTC
python-XStatic-Patternfly-3.21.0.1-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-9ad6eaf8d5

Comment 7 Fedora Update System 2017-04-27 17:57:16 UTC
python-XStatic-Patternfly-3.21.0.1-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-30ae2db6ea

Comment 8 Fedora Update System 2017-04-28 17:51:04 UTC
python-XStatic-Patternfly-3.21.0.1-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-ad1f7077ac

Comment 9 Fedora Update System 2017-04-28 19:18:03 UTC
python-XStatic-Patternfly-3.21.0.1-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-30ae2db6ea

Comment 10 Fedora Update System 2017-04-28 19:49:22 UTC
python-XStatic-Patternfly-3.21.0.1-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-9ad6eaf8d5

Comment 11 Fedora Update System 2017-04-28 19:50:38 UTC
python-XStatic-Patternfly-3.21.0.1-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-58f639c765

Comment 12 Fedora Update System 2017-05-01 18:16:50 UTC
python-XStatic-Patternfly-3.21.0.1-1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2017-05-10 03:54:04 UTC
python-XStatic-Patternfly-3.21.0.1-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2017-05-10 03:58:59 UTC
python-XStatic-Patternfly-3.21.0.1-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2017-08-06 20:48:23 UTC
python-XStatic-Patternfly-3.21.0.1-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.